Passwordfile library: Io Namespace Reference

Passwordfile library 5.0.13 C++ library to read/write passwords from/to encrypted files

Loading...
Searching...
No Matches
Classes | Enumerations | Functions | Variables
Io Namespace Reference

Contains all IO related classes. More...

## Classes
class | CryptoException
| The exception that is thrown when an encryption/decryption error occurs. More...
struct | EntryStatistics
class | Entry
| Instances of the Entry class form a hierarchic data structure used to store account information. More...
class | NodeEntry
| The NodeEntry class acts as parent for other entries. More...
class | AccountEntry
| The exception that is thrown when a parsing error occurs. More...
class | Field
| The Field class holds field information which consists of a name and a value and is able to serialize and deserialize this information. More...
class | ParsingException
| The exception that is thrown when a parsing error occurs. More...
class | PasswordFile
| The PasswordFile class holds account information in the form of Entry and Field instances and provides methods to read and write these information to encrypted files using OpenSSL. More...

## Enumerations
enum class | EntryType : int { Node , Account }
| Specifies the entry type. More...
enum class | FieldType : int { Normal , Password }
enum class | PasswordFileOpenFlags : std::uint64_t { None = 0 , ReadOnly = 1 , Default = None }
enum class | PasswordFileSaveFlags : std::uint64_t { None = 0 , Encryption = (1 << 0) , Compression = (1 << 1) , PasswordHashing = (1 << 2) , AllowToCreateNewFile = (1 << 3) , Default = Encryption | Compression | PasswordHashing | AllowToCreateNewFile }

## Functions
PASSWORD_FILE_EXPORT std::string | flagsToString (PasswordFileOpenFlags flags)
| Returns a comma-separated string for the specified flags.
PASSWORD_FILE_EXPORT std::string | flagsToString (PasswordFileSaveFlags flags)
| Returns a comma-separated string for the specified flags.

## Variables
constexpr unsigned int | aes256cbcIvSize = 16U
constexpr unsigned int | aes256blockSize = 32U
constexpr unsigned int | aes256additionalBufferSize = aes256blockSize * 2

## Detailed Description

Contains all IO related classes.

## Enumeration Type Documentation

## ◆ EntryType

enum class Io::EntryType : int
| strong

Specifies the entry type.

Enumerator
Node | denotes a NodeEntry
Account | denotes an AccountEntry

Definition at line 17 of file entry.h.

## ◆ FieldType

enum class Io::FieldType : int
| strong

Enumerator
Normal |
Password |

Definition at line 11 of file field.h.

## ◆ PasswordFileOpenFlags

enum class Io::PasswordFileOpenFlags : std::uint64_t
| strong

Enumerator
None |
ReadOnly |
Default |

Definition at line 19 of file passwordfile.h.

## ◆ PasswordFileSaveFlags

enum class Io::PasswordFileSaveFlags : std::uint64_t
| strong

Enumerator
None |
Encryption |
Compression |
PasswordHashing |
AllowToCreateNewFile |
Default |

Definition at line 27 of file passwordfile.h.

## Function Documentation

## ◆ flagsToString() [1/2]

string Io::flagsToString | ( | PasswordFileOpenFlags | flags | ) |

Returns a comma-separated string for the specified flags.

Definition at line 790 of file passwordfile.cpp.

## ◆ flagsToString() [2/2]

string Io::flagsToString | ( | PasswordFileSaveFlags | flags | ) |

Returns a comma-separated string for the specified flags.

Definition at line 805 of file passwordfile.cpp.

## Variable Documentation

## ◆ aes256additionalBufferSize

unsigned int Io::aes256additionalBufferSize = aes256blockSize * 2
| constexpr

Definition at line 35 of file passwordfile.cpp.

## ◆ aes256blockSize

unsigned int Io::aes256blockSize = 32U
| constexpr

Definition at line 34 of file passwordfile.cpp.

## ◆ aes256cbcIvSize

unsigned int Io::aes256cbcIvSize = 16U
| constexpr

Definition at line 33 of file passwordfile.cpp.